<?php
/*
 * LaraClassifier - Classified Ads Web Application
 * Copyright (c) BeDigit. All Rights Reserved
 *
 * Website: https://laraclassifier.com
 * Author: Mayeul Akpovi (BeDigit - https://bedigit.com)
 *
 * LICENSE
 * -------
 * This software is provided under a license agreement and may only be used or copied
 * in accordance with its terms, including the inclusion of the above copyright notice.
 * As this software is sold exclusively on CodeCanyon,
 * please review the full license details here: https://codecanyon.net/licenses/standard
 */

namespace App\Http\Resources;

use Illuminate\Http\Request;

class SavedPostResource extends BaseResource
{
	/**
	 * Transform the resource into an array.
	 *
	 * @param \Illuminate\Http\Request $request
	 * @return array
	 */
	public function toArray(Request $request): array
	{
		if (!isset($this->id)) return [];
		
		$entity = [
			'id' => $this->id,
		];
		
		$columns = $this->getFillable();
		foreach ($columns as $column) {
			$entity[$column] = $this->{$column} ?? null;
		}
		
		$entity['saved_at_formatted'] = $this->saved_at_formatted ?? null;
		
		if (in_array('user', $this->embed)) {
			$entity['user'] = new UserResource($this->whenLoaded('post'), $this->params);
		}
		if (in_array('post', $this->embed)) {
			$post = $this->whenLoaded('post');
			
			// Add additional columns to the model object
			$post->saved_at_formatted = $this->saved_at_formatted ?? null;
			
			// Get the post resource
			$entity['post'] = new PostResource($post, $this->params);
		}
		
		return $entity;
	}
}
